#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mwc-random
version:              0.15.0.2
visibility:           public
id:                   mwc-random-0.15.0.2-CKOfnG5y3QLILlfErXcifY
key:                  mwc-random-0.15.0.2-CKOfnG5y3QLILlfErXcifY
license:              BSD-3-Clause
copyright:            2009, 2010, 2011 Bryan O'\''Sullivan
maintainer:           Bryan O'\''Sullivan <bos@serpentine.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             https://github.com/bos/mwc-random
synopsis:             Fast, high quality pseudo random number generation
description:
    This package contains code for generating high quality random
    numbers that follow either a uniform or normal distribution.  The
    generated numbers are suitable for use in statistical applications.

    The uniform PRNG uses Marsaglia'\''s MWC256 (also known as MWC8222)
    multiply-with-carry generator, which has a period of 2^8222 and
    fares well in tests of randomness.  It is also extremely fast,
    between 2 and 3 times faster than the Mersenne Twister.

    Compared to the mersenne-random package, this package has a more
    convenient API, is faster, and supports more statistical
    distributions.

category:             Math, Statistics
abi:                  5f7e28982c422b199b41b22b6dbfab9c
exposed:              True
exposed-modules:
    System.Random.MWC System.Random.MWC.CondensedTable
    System.Random.MWC.Distributions System.Random.MWC.SeedSource

import-dirs:          /usr/lib/ghc-9.0.2/site-local/mwc-random-0.15.0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/mwc-random-0.15.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-mwc-random
hs-libraries:         HSmwc-random-0.15.0.2-CKOfnG5y3QLILlfErXcifY
depends:
    base-4.15.1.0 math-functions-0.3.4.2-L7BYgaL3Ke78858eRubRka
    primitive-0.7.3.0-4YY3VSdWTqoii1vz058dN
    random-1.2.1.1-5iWH2ycrnoQ5ZYD66L7QAJ time-1.9.3
    vector-0.12.3.1-35O4ef8MZDE9Y9qFX9F3Ug

haddock-interfaces:   /usr/share/doc/haskell-mwc-random/html/mwc-random.haddock
haddock-html:         /usr/share/doc/haskell-mwc-random/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

